// Crimson Fields -- a game of tactical warfare
// Copyright (C) 2000-2003 Jens Granseuer
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

///////////////////////////////////////////////////////////////
// globals.h - global variable declarations
// This file can be included by both C and C++ code.
//
// Changes:
//   22-04-2001 - added DISPLAY_BPP and DATA_BPP
///////////////////////////////////////////////////////////////

#ifndef _INCLUDE_GLOBALS_H
#define _INCLUDE_GLOBALS_H

/* data paths and files
 * symbols PACKAGE and VERSION should be defined externally (usually 'crimson')
 * symbol CF_DATADIR may be defined externally to define the location
 *        of data files. If it is not defined the program will try to
 *        locate the files at runtime.
 */

#ifndef PACKAGE
# define PACKAGE "crimson"
#endif
#ifndef VERSION
# define VERSION "0.3.1"
#endif

#define CF_DATFILE	"cf.dat"
#define CF_TITLE_SCREEN	"title.bmp"

#define FILE_VERSION  8
#define FID_MISSION   MakeID('M','S','S','N')  /* mission file identifier */

#define DISPLAY_BPP	16	/* display depth */
#define DATA_BPP	8	/* depth of images in data files */

#define MIN_XRES	320
#define MIN_YRES	240

#ifndef HAVE_STRCASECMP
# define strcasecmp stricmp
#endif
#ifndef HAVE_STRNCASECMP
# define strncasecmp strnicmp
#endif

#endif	/* _INCLUDE_GLOBALS_H */

